无法在ubuntu 17上安装python3-pyqt5

我试图安装python3-pyqt5,但仍然得到相同的错误 . 我尝试重新安装ubuntu,更新和升级我的apt-get,但仍然没有任何线索错误 .

ubuntu@ubuntu:~$ sudo apt-get install python3-pyqt5
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package python3-pyqt5

编辑方案:
我发现我只需输入:

sudo add-apt-repository universe

然后

sudo apt-get update

一切都很好 .

回答(1)

3 years ago

我有同样的问题 . 做了一些阅读后,我能够使用此解决方法安装pyqt5:

  • 安装python3-setuptools:
$ sudo apt-get install python3-setuptools
  • 安装点子:
$ sudo easy_install3 pip
  • 最后,使用pip安装pyqt5:
$ pip3 install --user pyqt5